## model
Class ExportFile

    java.lang.Object
      java.io.File
          model.ExportFile

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<java.io.File>

    public class ExportFile

extends java.io.File

ExportFile class is used to export registration data (i.e. Entry objects) to a text file that can be imported by the Go player pairing program 'McMahon'

See Also:
  Serialized Form

Field Summary
`private static long` `serialVersionUID` UID for serialization

Fields inherited from class java.io.File
`pathSeparator, pathSeparatorChar, separator, separatorChar`

Constructor Summary
`protected` `ExportFile(java.lang.String pathname)` Creates an export file in the folder specified in Settings.

Method Summary
`protected void` `write(Entry[] entries)` Writes the entry data to the export file

Methods inherited from class java.io.File

`canExecute, canRead, canWrite, compareTo, createNewFile, createTempFile, createTempFile, delete, deleteOnExit, equals, exists, getAbsoluteFile, getAbsolutePath, getCanonicalFile, getCanonicalPath, getFreeSpace, getName, getParent, getParentFile, getPath, getTotalSpace, getUsableSpace, hashCode, isAbsolute, isDirectory, isFile, isHidden, lastModified, length, list, list, listFiles, listFiles, listFiles, listRoots, mkdir, mkdirs, renameTo, setExecutable, setExecutable, setLastModified, setReadable, setReadable, setReadOnly, setWritable, setWritable, toString, toURI, toURL`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  UID for serialization

  See Also:
    Constant Field Values

Constructor Detail

### ExportFile

    protected ExportFile(java.lang.String pathname)

  Creates an export file in the folder specified in Settings.

  Parameters:
    `pathname` - name of the export file

Method Detail

### write

    protected void write(Entry[] entries)
                  throws GoException

  Writes the entry data to the export file

  Parameters:
    `entries` - an array of entries to be exported
  Throws:
    `GoException` - thrown in case the export fails